window.Gleam.initSearch([{"doc":"lotta","title":"lotta","content":"# lotta\n\n*package with maybe a lotta javascript stuff to use with Gleam*\n\n[![Package Version](https://img.shields.io/hexpm/v/lotta)](https://hex.pm/packages/lotta)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/lotta/)\n\n## Quick start\n\n```gleam\nimport lotta/object\nimport gleam/dynamic\nimport gleam/result\nimport gleam/io\n\npub fn main() {\n    let item = get_from_js(...)\n    let assert Ok(obj) = object.to_object(item)\n    let Ok(name) = object.get(obj, &quot;name&quot;)\n      |&gt; result.try(dynamic.string)\n    io.println(&quot;hello, &quot; &lt;&gt; name)\n}\n```\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add lotta\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/lotta&gt;.\n","url":"index.html"},{"doc":"lotta/object","title":"Object","content":"pub type Object\n JavaScript Object Type\n\nSynonyms:\nlotta/object.Object\nlotta/object Object","url":"lotta/object.html#Object"},{"doc":"lotta/object","title":"assign","content":"pub fn assign(target: Object, source: Object) -&gt; Bool\n Copies all enumerable own properties from one or more source objects to a target object. It returns the modified target object.\nSynonyms:\nlotta/object.assign\nlotta/object assign","url":"lotta/object.html#assign"},{"doc":"lotta/object","title":"entries","content":"pub fn entries(object: Object) -&gt; Array(#(String, Dynamic))\n Returns an array of a given object&#39;s own enumerable string-keyed property key-value pairs.\nSynonyms:\nlotta/object.entries\nlotta/object entries","url":"lotta/object.html#entries"},{"doc":"lotta/object","title":"freeze","content":"pub fn freeze(object: Object) -&gt; Object\n Freezes an object. Freezing an object prevents extensions and makes existing properties \n non-writable and non-configurable. A frozen object can no longer be changed: new \n properties cannot be added, existing properties cannot be removed, their enumerability, \n configurability, writability, or value cannot be changed, and the object&#39;s prototype cannot \n be re-assigned. `freeze()` returns the same object that was passed in.\nSynonyms:\nlotta/object.freeze\nlotta/object freeze","url":"lotta/object.html#freeze"},{"doc":"lotta/object","title":"from_entries","content":"pub fn from_entries(entries: List(#(String, Dynamic))) -&gt; Object\n Transforms a list of key-value pairs into an object.\nSynonyms:\nlotta/object.from_entries\nlotta/object from_entries","url":"lotta/object.html#from_entries"},{"doc":"lotta/object","title":"get","content":"pub fn get(\n  object: Object,\n  attribute: String,\n) -&gt; Result(Dynamic, List(DecodeError))\n Get an attribute from an `Object` if it exists\nSynonyms:\nlotta/object.get\nlotta/object get","url":"lotta/object.html#get"},{"doc":"lotta/object","title":"get_own_property_names","content":"pub fn get_own_property_names(object: Object) -&gt; Array(String)\n Returns an array of all properties (including non-enumerable properties except for \n those which use Symbol found directly in a given object.\nSynonyms:\nlotta/object.get_own_property_names\nlotta/object get_own_property_names","url":"lotta/object.html#get_own_property_names"},{"doc":"lotta/object","title":"get_own_property_symbols","content":"pub fn get_own_property_symbols(object: Object) -&gt; Array(Symbol)\n Returns an array of all symbol properties found directly upon a given object.\nSynonyms:\nlotta/object.get_own_property_symbols\nlotta/object get_own_property_symbols","url":"lotta/object.html#get_own_property_symbols"},{"doc":"lotta/object","title":"has_own","content":"pub fn has_own(object: Object, property: String) -&gt; Bool\n Returns `True` if the specified object has the indicated property as its own property. \n If the property is inherited, or does not exist, the method returns `False`.\nSynonyms:\nlotta/object.has_own\nlotta/object has_own","url":"lotta/object.html#has_own"},{"doc":"lotta/object","title":"is","content":"pub fn is(a: a, b: a) -&gt; Bool\n Determines whether two values are the same value.\nSynonyms:\nlotta/object.is\nlotta/object is","url":"lotta/object.html#is"},{"doc":"lotta/object","title":"is_extensible","content":"pub fn is_extensible(object: Object) -&gt; Bool\n Determines if an object is extensible (whether it can have new properties added to it).\nSynonyms:\nlotta/object.is_extensible\nlotta/object is_extensible","url":"lotta/object.html#is_extensible"},{"doc":"lotta/object","title":"is_frozen","content":"pub fn is_frozen(object: Object) -&gt; Bool\n Determines if an object is frozen.\nSynonyms:\nlotta/object.is_frozen\nlotta/object is_frozen","url":"lotta/object.html#is_frozen"},{"doc":"lotta/object","title":"is_sealed","content":"pub fn is_sealed(object: Object) -&gt; Bool\n Determines if an object is sealed.\nSynonyms:\nlotta/object.is_sealed\nlotta/object is_sealed","url":"lotta/object.html#is_sealed"},{"doc":"lotta/object","title":"keys","content":"pub fn keys(object: Object) -&gt; Array(String)\n Returns an array of a given object&#39;s own enumerable string-keyed property names.\nSynonyms:\nlotta/object.keys\nlotta/object keys","url":"lotta/object.html#keys"},{"doc":"lotta/object","title":"prevent_extensions","content":"pub fn prevent_extensions(object: Object) -&gt; Object\n Prevents new properties from ever being added to an object (i.e. prevents future \n extensions to the object). It also prevents the object&#39;s prototype from being re-assigned. \nSynonyms:\nlotta/object.prevent_extensions\nlotta/object prevent_extensions","url":"lotta/object.html#prevent_extensions"},{"doc":"lotta/object","title":"seal","content":"pub fn seal(object: Object) -&gt; Object\n Seals an object. Sealing an object prevents extensions and makes existing properties \n non-configurable. A sealed object has a fixed set of properties: new properties cannot \n be added, existing properties cannot be removed, their enumerability and configurability \n cannot be changed, and its prototype cannot be re-assigned. Values of existing \n properties can still be changed as long as they are writable. `seal()` returns the same \n object that was passed in.\nSynonyms:\nlotta/object.seal\nlotta/object seal","url":"lotta/object.html#seal"},{"doc":"lotta/object","title":"to_object","content":"pub fn to_object(a: a) -&gt; Result(Object, Nil)\n Converts the value into an Object type if it is an object\nSynonyms:\nlotta/object.to_object\nlotta/object to_object","url":"lotta/object.html#to_object"},{"doc":"lotta/object","title":"values","content":"pub fn values(object: Object) -&gt; Array(Dynamic)\n Returns an array of a given object&#39;s own enumerable string-keyed property values.\nSynonyms:\nlotta/object.values\nlotta/object values","url":"lotta/object.html#values"},{"doc":"lotta/object","title":"lotta/object","content":"","url":"lotta/object.html"}]);